---
layout: default
title: S3 Supported API
description: "S3 Supported API. lakeFS supports the following API operations: Identity and authorization, Bucket operations, Object operations and listing"
parent: Reference
nav_order: 1
has_children: false
---
# S3 Supported API

The S3 Gateway emulates a subset of the [API exposed by S3](https://docs.aws.amazon.com/AmazonS3/latest/API/Welcome.html){:target="_blank"}.
This subset includes all API endpoints relevant to data systems.

for more information, see [architecture](../understand/architecture.md#s3-gateway)

lakeFS supports the following API operations:

1. Identity and authorization
   1. [SIGv2](https://docs.aws.amazon.com/general/latest/gr/signature-version-2.html){:target="_blank"}
   1. [SIGv4](https://docs.aws.amazon.com/general/latest/gr/signature-version-4.html){:target="_blank"}
1. Bucket operations:
   1. [HEAD bucket](https://docs.aws.amazon.com/AmazonS3/latest/API/API_HeadBucket.html){:target="_blank"}
1. Object operations:
   1. [DeleteObject](https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObject.html){:target="_blank"}
   1. [DeleteObjects](https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObjects.html){:target="_blank"}
   1. [GetObject](https://docs.aws.amazon.com/AmazonS3/latest/API/API_GetObject.html){:target="_blank"}
      1. Support for caching headers, ETag
      1. Support for range requests
      1. **No** support for [SSE](https://docs.aws.amazon.com/AmazonS3/latest/dev/serv-side-encryption.html){:target="_blank"}
      1. **No** support for [SelectObject](https://docs.aws.amazon.com/AmazonS3/latest/API/API_SelectObjectContent.html){:target="_blank"} operations
   1. [HeadObject](https://docs.aws.amazon.com/AmazonS3/latest/API/API_HeadObject.html){:target="_blank"}
   1. [PutObject](https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObject.html){:target="_blank"}
      1. Support multi-part uploads
      1. **No** support for storage classes
      1. **No** object level tagging
   1. [CopyObject](https://docs.aws.amazon.com/AmazonS3/latest/API/API_CopyObject.html){:target="_blank}
1. Object Listing:
   1. [ListObjects](https://docs.aws.amazon.com/AmazonS3/latest/API/API_ListObjects.html){:target="_blank"}
   1. [ListObjectsV2](https://docs.aws.amazon.com/AmazonS3/latest/API/API_ListObjectsV2.html){:target="_blank"}
   1. [Delimiter support](https://docs.aws.amazon.com/AmazonS3/latest/API/API_ListObjectsV2.html#API_ListObjectsV2_RequestSyntax) (for `"/"` only)
1. Multipart Uploads:
   1. [AbortMultipartUpload](https://docs.aws.amazon.com/AmazonS3/latest/API/API_AbortMultipartUpload.html){:target="_blank"}
   1. [CompleteMultipartUpload](https://docs.aws.amazon.com/AmazonS3/latest/API/API_CompleteMultipartUpload.html){:target="_blank"}
   1. [CreateMultipartUpload](https://docs.aws.amazon.com/AmazonS3/latest/API/API_CreateMultipartUpload.html){:target="_blank"}
   1. [ListParts](https://docs.aws.amazon.com/AmazonS3/latest/API/API_ListParts.html){:target="_blank"}
   1. [Upload Part](https://docs.aws.amazon.com/AmazonS3/latest/API/API_UploadPart.html){:target="_blank"}
   1. [UploadPartCopy](https://docs.aws.amazon.com/AmazonS3/latest/API/API_UploadPartCopy.html){:target="_blank"}
 
